Debian Bug report logs - #506591
A central place for stacked filesystems

version graph

Package: live-initramfs; Maintainer for live-initramfs is Debian Live Project <debian-live@lists.debian.org>;

Reported by: Tong Sun <suntong@cpan.org>

Date: Sat, 22 Nov 2008 21:27:02 UTC

Severity: wishlist

Found in version live-initramfs/1.139.1-4

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, suntong@cpan.org, Debian Live <debian-live@lists.debian.org>:
Bug#506591; Package live-initramfs. (Sat, 22 Nov 2008 21:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Tong Sun <suntong@cpan.org>:
New Bug report received and forwarded. Copy sent to suntong@cpan.org, Debian Live <debian-live@lists.debian.org>. (Sat, 22 Nov 2008 21:27:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Tong Sun <suntong@cpan.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: A central place for stacked filesystems
Date: Sat, 22 Nov 2008 16:20:18 -0500
Package: live-initramfs
Version: 1.139.1-4
Severity: wishlist

On Thu, 20 Nov 2008 18:07:48 +0000, T o n g wrote:

It seems that I can't access the stacked filesystems individually. I.e., 
the mount point of each individual stacked filesystems is not accessible 
for me.

I hope, as we might have several stackable fs in /live, that the mount 
point for them is not from root, but some central location, say under 
/live/module, for example?

On Thu, 20 Nov 2008 21:50:19 +0100, Daniel Baumann wrote:

> /live/module (or /live/modules ?) sounds sane to me, go on.

Both are fine, but let's use /live/module, as per the Perl Best Practices
suggests, because normally it is going to be addressed individually, e.g.,

 /live/module/so_and_so

which sounds better than 

 /live/modules/so_and_so

regards

-- System Information:
Debian Release: lenny/sid
  APT prefers testing
  APT policy: (300, 'testing'), (50, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 2.6.26-grml (SMP w/1 CPU core; PREEMPT)
Locale: LANG=C, LC_CTYPE=C (charmap=ANSI_X3.4-1968)
Shell: /bin/sh linked to /bin/bash




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#506591; Package live-initramfs. (Sun, 23 Nov 2008 05:24:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Tong Sun" <suntong@cpan.org>:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live@lists.debian.org>. (Sun, 23 Nov 2008 05:24:03 GMT) Full text and rfc822 format available.

Message #10 received at 506591@bugs.debian.org (full text, mbox):

From: "Tong Sun" <suntong@cpan.org>
To: 506591@bugs.debian.org
Subject: Re: Bug#506591: A central place for stacked filesystems
Date: Sun, 23 Nov 2008 00:20:38 -0500
In summary,

1. create a central place for stacked filesystems, eg, /live/module
2. expose the mounted individual stacked filesystems; make them accessible




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#506591; Package live-initramfs. (Mon, 24 Nov 2008 08:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marco Amadori <amadorim@vdavda.com>:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live@lists.debian.org>. (Mon, 24 Nov 2008 08:21:05 GMT) Full text and rfc822 format available.

Message #15 received at 506591@bugs.debian.org (full text, mbox):

From: Marco Amadori <amadorim@vdavda.com>
To: Tong Sun <suntong@cpan.org>, 506591@bugs.debian.org
Subject: Re: Bug#506591: A central place for stacked filesystems
Date: Mon, 24 Nov 2008 09:17:01 +0100
On Saturday 22 November 2008, 22:20:18, Tong Sun wrote:

> It seems that I can't access the stacked filesystems individually. I.e.,
> the mount point of each individual stacked filesystems is not accessible
> for me.

Try to boot with "showmounts" :-)

If I understood what you meant, this bug could be closed.

-- 
ESC:wq

-- 
This message has been scanned for viruses and
dangerous content by MailScanner, and is
believed to be clean.





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#506591; Package live-initramfs. (Mon, 24 Nov 2008 20:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Tong Sun" <suntong@cpan.org>:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live@lists.debian.org>. (Mon, 24 Nov 2008 20:45:07 GMT) Full text and rfc822 format available.

Message #20 received at 506591@bugs.debian.org (full text, mbox):

From: "Tong Sun" <suntong@cpan.org>
To: "Marco Amadori" <amadorim@vdavda.com>
Cc: 506591@bugs.debian.org
Subject: Re: Bug#506591: A central place for stacked filesystems
Date: Mon, 24 Nov 2008 15:44:05 -0500
On Mon, Nov 24, 2008 at 3:17 AM, Marco Amadori <amadorim@vdavda.com> wrote:
> On Saturday 22 November 2008, 22:20:18, Tong Sun wrote:
>
>> It seems that I can't access the stacked filesystems individually.  .  .
>
> Try to boot with "showmounts" :-)

Ah, thx, so the side-question is solved.

> If I understood what you meant, this bug could be closed.

but the main wish, ie, a central place for stacked filesystems, still holds.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#506591; Package live-initramfs. (Tue, 25 Nov 2008 05:51:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live@lists.debian.org>. (Tue, 25 Nov 2008 05:51:08 GMT) Full text and rfc822 format available.

Message #25 received at 506591@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: Tong Sun <suntong@cpan.org>
Cc: 506591@bugs.debian.org
Subject: Re: Bug#506591: A central place for stacked filesystems
Date: Tue, 25 Nov 2008 06:47:48 +0100
Tong Sun wrote:
> but the main wish, ie, a central place for stacked filesystems, still holds.

i don't get it. what *particular* modification of the existing
live-initramfs do you need on top to get that? as far as i understand,
this is only the concern of the script that inserts the modules, not
live-initramfs itself.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#506591; Package live-initramfs. (Tue, 25 Nov 2008 07:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Marco Amadori <amadorim@vdavda.com>:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live@lists.debian.org>. (Tue, 25 Nov 2008 07:51:06 GMT) Full text and rfc822 format available.

Message #30 received at 506591@bugs.debian.org (full text, mbox):

From: Marco Amadori <amadorim@vdavda.com>
To: "Tong Sun" <suntong@cpan.org>
Cc: 506591@bugs.debian.org
Subject: Re: Bug#506591: A central place for stacked filesystems
Date: Tue, 25 Nov 2008 08:47:35 +0100
On Monday 24 November 2008, 21:44:05, Tong Sun wrote:

> > Try to boot with "showmounts" :-)
> > If I understood what you meant, this bug could be closed.

> but the main wish, ie, a central place for stacked filesystems, still
> holds.

If you try the above mentioned options and there are no regressions, 
the "stacked filesystems" will end all under /live which could be a "central 
place for stacked filesystems" IMHO.

Could this satisfy your request?

-- 
ESC:wq

-- 
This message has been scanned for viruses and
dangerous content by MailScanner, and is
believed to be clean.





Reply sent to daniel@debian.org:
You have taken responsibility. (Sat, 07 Feb 2009 23:12:03 GMT) Full text and rfc822 format available.

Notification sent to Tong Sun <suntong@cpan.org>:
Bug acknowledged by developer. (Sat, 07 Feb 2009 23:12:03 GMT) Full text and rfc822 format available.

Message #35 received at 506591-done@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 506591-done@bugs.debian.org
Subject: Re: A central place for stacked filesystems
Date: Sun, 08 Feb 2009 00:10:46 +0100
As Marco already said, all the modules (as in squashfs partial
filesystem) are mounted under /live anyway. so closing this bug.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 08 Mar 2009 07:31:24 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 07:45:31 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.